### Function

# Babl space_get_rgb_luminance

#### Declaration [src]

    void
    babl_space_get_rgb_luminance (
      const Babl* space,
      double* red_luminance,
      double* green_luminance,
      double* blue_luminance
    )

#### Description [src]

Retrieve the relevant RGB luminance constants for a babl space.

Note: these luminance coefficients should only ever be used on linear data. If your input `space` is non-linear, you should convert your pixel values to the linearized variant of `space` before making any computation with these coefficients. See #83.

#### Parameters

`space`

  Type: `Babl`

  A BablSpace.

  The data is owned by the caller of the function.

`red_luminance`

  Type: `double*`

  Location for the red luminance factor.

  The argument will be set by the function.
  The argument can be `NULL`.

`green_luminance`

  Type: `double*`

  Location for the green luminance factor.

  The argument will be set by the function.
  The argument can be `NULL`.

`blue_luminance`

  Type: `double*`

  Location for the blue luminance factor.

  The argument will be set by the function.
  The argument can be `NULL`.